Upstream information

CVE-2019-19451 at MITRE

Description

When GNOME Dia before 2019-11-27 is launched with a filename argument that is not a valid codepoint in the current encoding, it enters an endless loop, thus endlessly writing text to stdout. If this launch is from a thumbnailer service, this output will usually be written to disk via the system's logging facility (potentially with elevated privileges), thus filling up the disk and eventually rendering the system unusable. (The filename can be for a nonexistent file.) NOTE: this does not affect an upstream release, but affects certain Linux distribution packages with version numbers such as 0.97.3.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1158194 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • dia >= 0.97.3-17.4.1
  • dia-lang >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3390
SUSE-SLE-SDK-12-SP4-2019-3390
SUSE-SLE-WE-12-SP4-2019-3390
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Workstation Extension 15 SP1
  • dia >= 0.97.3-4.3.3
  • dia-lang >= 0.97.3-4.3.3
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2019-3391
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Workstation Extension 15 SP2
  • dia >= 0.97.3-4.3.3
  • dia-lang >= 0.97.3-4.3.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP2 GA dia-0.97.3-4.3.3
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Workstation Extension 15 SP3
  • dia >= 0.97.3-4.3.3
  • dia-lang >= 0.97.3-4.3.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP3 GA dia-0.97.3-4.3.3
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Linux Enterprise Workstation Extension 15 SP4
  • dia >= 0.97.3-4.3.3
  • dia-lang >= 0.97.3-4.3.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP4 GA dia-0.97.3-4.3.3
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
SUSE Linux Enterprise Workstation Extension 15
  • dia >= 0.97.3-4.3.3
  • dia-lang >= 0.97.3-4.3.3
Patchnames:
SUSE-SLE-Product-WE-15-2019-3391
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • dia >= 0.97.3-17.4.1
  • dia-lang >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3390
SUSE-SLE-WE-12-SP4-2019-3390
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • dia >= 0.97.3-17.4.1
  • dia-lang >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3390
SUSE-SLE-WE-12-SP5-2019-3390
SUSE Linux Enterprise Software Development Kit 12 SP4
  • dia >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3390
SUSE Linux Enterprise Software Development Kit 12 SP5
  • dia >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3390
SUSE Linux Enterprise Workstation Extension 12 SP4
  • dia >= 0.97.3-17.4.1
  • dia-lang >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-WE-12-SP4-2019-3390
SUSE Linux Enterprise Workstation Extension 12 SP5
  • dia >= 0.97.3-17.4.1
  • dia-lang >= 0.97.3-17.4.1
Patchnames:
SUSE-SLE-WE-12-SP5-2019-3390
openSUSE Leap 15.1
  • dia >= 0.97.3-lp151.4.3.1
  • dia-lang >= 0.97.3-lp151.4.3.1
Patchnames:
openSUSE-2020-21


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 dia Affected
SUSE Linux Enterprise Desktop 15 SP4 dia Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 dia Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 dia Affected
SUSE Linux Enterprise Server 12 SP5 dia Released
SUSE Linux Enterprise Server 15 SP4 dia Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dia Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 dia Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 dia Released
SUSE Linux Enterprise Workstation Extension 12 SP5 dia Released
SUSE Linux Enterprise Workstation Extension 15 SP4 dia Affected
SUSE Manager Proxy 4.2 dia Affected
SUSE Manager Proxy 4.3 dia Affected
SUSE Manager Retail Branch Server 4.2 dia Affected
SUSE Manager Retail Branch Server 4.3 dia Affected
SUSE Manager Server 4.2 dia Affected
SUSE Manager Server 4.3 dia Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 dia Affected
SUSE Linux Enterprise Server 12 SP4 dia Released
SUSE Linux Enterprise Server 15 SP1 dia Released
SUSE Linux Enterprise Server 15 SP2 dia Affected
SUSE Linux Enterprise Server 15 SP3 dia Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dia Released
SUSE Linux Enterprise Server for SAP Applications 15 dia Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 dia Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 dia Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 dia Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 SP2 dia Affected
SUSE Linux Enterprise Desktop 12 SP3 dia Affected
SUSE Linux Enterprise Desktop 12 SP4 dia Released
SUSE Linux Enterprise Desktop 15 dia Released
SUSE Linux Enterprise Desktop 15 SP1 dia Released
SUSE Linux Enterprise Desktop 15 SP2 dia Affected
SUSE Linux Enterprise Desktop 15 SP3 dia Affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 dia Affected
SUSE Linux Enterprise Server 12 SP2 dia Affected
SUSE Linux Enterprise Server 12 SP3 dia Affected
SUSE Linux Enterprise Server 15 dia Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dia Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dia Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 dia Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 dia Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 dia Released
SUSE Linux Enterprise Workstation Extension 12 SP2 dia Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 dia Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 dia Released
SUSE Linux Enterprise Workstation Extension 15 dia Released
SUSE Linux Enterprise Workstation Extension 15 SP1 dia Released
SUSE Linux Enterprise Workstation Extension 15 SP2 dia Affected
SUSE Linux Enterprise Workstation Extension 15 SP3 dia Affected


SUSE Timeline for this CVE

CVE page created: Mon Dec 2 15:00:36 2019
CVE page last modified: Mon Jan 16 19:56:01 2023